.text-pps {
  font-family: "Prompt", sans-serif;
  font-size: 16px;
  font-weight: 600;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.56;
  letter-spacing: normal;
  color: #333333;
}

.calendar-backdrop {
  display: flex;
  position: fixed;
  background: transparent;
  width: 100%;
  height: 100%;
  z-index: 998;
  top: 0;
  left: 0;
}

.table-responsives {
  //   height: 500px;
  overflow-x: auto;
  font-family: Prompt !important;
  td {
    height: 63px;
    font-family: Prompt !important;
    // border: none;
    text-align: center;
    align-items: center;
    justify-content: center !important;
    padding: 5px;
  }
  .data-left {
    text-align: left;
  }
  .data-right {
    // text-align: right;
    text-align: -webkit-right;
  }
}
th {
  min-width: 200px;
  font-family: Prompt !important;
  align-items: flex-start;
  justify-content: flex-start !important;
  text-align: center !important;
  opacity: 0.99;
  border-radius: 2px;
  background-color: #fafafa;
  font-size: 16px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #a2aebb;
  //   border: 1px solid #dddddd;
}

table {
  width: 3260px !important;
  table-layout: fixed;
  word-wrap: break-word;
  // height: 500px;
  overflow-x: auto;
  border: 1px solid #dddddd;
  padding: 0;
}

::ng-deep th.mat-column-Risk{
  top:0 !important;
}
::ng-deep th.mat-column-Compliance{
  top:0 !important;
}
::ng-deep th.mat-column-Finance{
  top:0 !important;
}
::ng-deep th.mat-column-Operation{
  top:0 !important;
}
::ng-deep th.mat-column-Retail{
  top:0 !important;
}

::ng-deep td.mat-cel {
  padding-left: 0 !important;
  width: 200px !important;
}
//   ::ng-deep td.mat-cell:last-of-type {
//     padding-right: 0 !important;
//   }
::ng-deep .mat-sort-header-container {
  justify-content: center !important;
}
.edit-ui-left{
  ::ng-deep .mat-sort-header-container {
  justify-content: left !important;
  }
}

::ng-deep th.mat-header-cell {
  height: 20px !important;
}


.status-icon {
  padding: 7px;
  height: 30px;
  font-size: 12px;
  border-radius: 6px;
  color: white;
  
}


._active {
  display: inline-block;
  width: 64px;
  background: #edae2b;
}

._inactive {
  display: inline-block;
  width: 64px;
  background: #5aa700;
}

._warning {
  display: inline-block;
  width: 64px;
  background: #d12828;
}

._inprogress {
  display: inline-block;
  width: 64px;
  color: white;
  background: #d8d8d8;
}

.serach-in {
  height: 48px;
}

.input-search-c {
  text-align: left;
  font-family: Prompt !important;
  border-radius: 4px;
  border: solid 1px #e0e0e0;
  background-color: #ffffff;
  width: 100%;
  height: 48px;
  // padding-left: 10px;
}
.btn-date {
  border: none;
  background-color: none;
  color: rgb(121, 121, 121);
}
.btn-delete {
  cursor: pointer;
  color: rgb(121, 121, 121) !important;
}

.btn-date {
  top: 35px;
  right: 25px;
  position: absolute;
  cursor: pointer;
  color: #666666;
}
.btn-delete:hover {
  cursor: pointer;
  color: rgb(20, 20, 20) !important;
}
.input-warpper {
  position: relative;
}



.icon-warpper {
  display: block;
  position: absolute;
  font-size: 16px;
  top: 35px;
  left: 93%;
}
.icon-warpper1 {
  display: block;
  position: absolute;
  left: 90%;
  line-height: 48px;
}
.bg-search {
  width: 100%;
  height: 248px;
  background-color: white;
  border-radius: 7px;
  padding: 32px;
}

.search-1 {
  width: 100%;
}

.icon-warpper2 {
  display: block;
  position: absolute;
  left: 80%;
  line-height: 48px;
}

.custom-select {
  height: 48px;
}
.hidden-text {
  float: right;
}

.search_s {
  color: #006e95 !important;
  float: right;
}
.search_s:hover {
  text-decoration: underline !important;
  cursor: pointer;
}

.panel-heading.collapsed .fa-chevron-up,
.panel-heading .fa-chevron-down {
  display: none;
}

.panel-heading.collapsed .fa-chevron-down,
.panel-heading .fa-chevron-up {
  display: inline-block;
}

i.fa {
  cursor: pointer;
  margin-right: 0;
}

.collapsed ~ .panel-body {
  padding: 0;
}

.non-data {
  display: flex;
  justify-content: center;
  color: #999999;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
}
.create-po {
  height: 56px;
  width: 211px;
  border-radius: 8px;
  border: 2px solid #00A4E4;
  background-color: white;
  color: #00a4e4;
}
.pps-header {
  width: 85%;
}

.a-link {
  color: #00a4e4 !important;
  cursor: pointer;
  text-decoration: underline !important;
}

// ////////////////////////calender //////////////////////////////////////
::ng-deep #ej2-datetimepicker_0 span.e-input-group::before {
  display: none;
  font-family: Prompt !important;
}
::ng-deep #ej2-datetimepicker_0 span.e-input-group::after {
  display: none;
}
::ng-deep .e-calendar .e-content td.e-today.e-selected span.e-day {
  border: none;
  background-color: #009edb !important;
}

::ng-deep .e-calendar .e-content td.e-today span.e-day {
  border: 1px solid #009edb !important;
  background: rgb(255, 255, 255);
  color: #009edb;
}
::ng-deep .e-btn.e-flat.e-primary:hover {
  // border: 1px solid #009EDB !important;
  background: rgb(247, 247, 247) !important;
  color: #009edb !important;
}
::ng-deep .e-btn.e-flat.e-primary:disabled {
  // background: rgb(255, 255, 255)!important;
  color: rgba(104, 104, 104, 0.219) !important;
}
::ng-deep .e-btn.e-flat.e-primary:disabled:hover {
  background: rgb(255, 255, 255) !important;
  color: rgba(104, 104, 104, 0.219) !important;
}
::ng-deep .e-calendar .e-content td.e-today span.e-day:hover {
  border: 1px solid #009edb !important;
  background: rgb(255, 255, 255);
  color: rgb(0, 0, 0) !important;
}

::ng-deep .e-calendar .e-content td.e-today.e-selected span.e-day {
  border: none;
  background-color: #009edb !important;
}

::ng-deep .e-calendar .e-content td.e-focused-date.e-today span.e-day {
  border: 1px solid #009edb !important;
  background: rgb(255, 255, 255);
  color: #009edb;
}
::ng-deep
  .e-daterangepicker.e-popup
  .e-calendar
  .e-end-date.e-selected.e-range-hover
  span.e-day {
  border: none;
  background-color: #009edb !important;
}
::ng-deep .e-calendar .e-content td.e-selected:hover span.e-day {
  border: none;
  background-color: #009edb !important;
}
::ng-deep
  .e-daterangepicker.e-popup
  .e-calendar
  .e-range-hover.e-start-date.e-selected.e-today
  span.e-day {
  border: 1px solid #009edb !important;
}
::ng-deep
  .e-daterangepicker.e-popup
  .e-calendar
  .e-start-date.e-selected.e-range-hover
  span.e-day {
  border: none;
  background-color: #009edb !important;
}
::ng-deep .e-calendar .e-content td.e-selected span.e-day {
  border: none;
  background-color: #009edb !important;
}
::ng-deep .e-btn.e-flat.e-primary {
  background: rgb(255, 255, 255) !important;
  color: #009edb !important;
}
::ng-deep #ej2-datetimepicker_0 span {
  border: none;
  color: rgb(185, 185, 185);
}
::ng-deep #ej2-datetimepicker_0 input.e-input {
  font-size: 14px;
  font-weight: 500;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #3a4966;
  font-family: Prompt !important;
}

::ng-deep .mat-calendar-body-selected {
  background-color: #009edb !important;
}
// //////////////////////////////////////////////////////////////////////////

.calendar-warpper-2 {
  position: absolute;
  top: -1;
  right: 0;
  background: #fff;
  padding: 10px;
  border: 1px solid #0000002b;
  box-shadow: 0 2px 4px -1px rgba(0, 0, 0, 0.2), 0 4px 5px 0 rgba(0, 0, 0, 0.14),
    0 1px 10px 0 rgba(0, 0, 0, 0.12);
  border-radius: 4px;
  z-index: 999;
  // opacity: 0;
  transition: all 2s;

  .input-calendar {
    position: relative;
  }

  .subhead-calendar {
    display: flex;
    text-align: center;
    color: #009edb;

    :nth-child(1) {
      width: 50%;
    }
    :nth-child(2) {
      width: 50%;
    }
  }

  .header-calendar {
    text-align: center;
  }

  .body-calendar {
    display: flex;
  }

  &.ng-star-inserted {
    opacity: 1;
  }

  .footer-calendar {
    display: flex;

    .btn-clear {
    }
    .btn-apply {
      margin-left: auto;
    }

    .mat-flat-button.mat-primary:not([disabled]) {
      background-color: #009edb;
    }
    .btn-close {
    }
  }
}
.fa-remove:before, .fa-close:before, .fa-times:before {
  position: absolute;
  top: 39px;
  right: 60px;
}